Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 75091 - 600 -> 644 mode change really doesn't
Summary: 600 -> 644 mode change really doesn't
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
: 75828 (view as bug list)
Depends On:
Blocks: 74873 81720
TreeView+ depends on / blocked
 
Reported: 2002-10-04 11:18 UTC by Nicholas J Kreucher
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-04 09:44:42 UTC


Attachments (Terms of Use)

Description Nicholas J Kreucher 2002-10-04 11:18:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
My /etc/sysconfig/networking/devices/ifcfg-eth0 file was mode 600, when applying
new settings in neat, it asked to change this to 644, i clicked "yes", however
it really didn't change the permissions on the file. neat kept asking to change
it to 644, but always failed to actually do so. i manually chmod 644 the file
and neat stop asking.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. chmod 600 /etc/sysconfig/networking/devices/ifcfg-eth0
2. neat -> change something -> apply
3. click "yes" when it asks to change the permissions on the above file to 644
4. the permissions remain the same
	

Actual Results:  the permissions remain the same

Expected Results:  permissions change to 644

Additional info:

Comment 1 Radu Cornea 2002-10-10 01:27:32 UTC
For me, changing anything with neat resets the permissions on /etc/hosts and
/etc/resolv.conf to 600, so no programs trying to access netwok work anymore (if
run as normal user).

Comment 2 Radu Cornea 2002-10-10 01:33:51 UTC
I should add to the previous statement that it happends when I run the network
utility from the menu, and it asks for the root password. I could not reproduce
it when running from command line, as root.

Comment 3 Harald Hoyer 2002-10-10 10:04:19 UTC
ok, additionally, neat should set umask(0644)


Comment 4 Harald Hoyer 2002-10-14 08:47:43 UTC
*** Bug 75828 has been marked as a duplicate of this bug. ***

Comment 5 Harald Hoyer 2003-01-13 15:20:34 UTC
new packages to test available at:
ftp://people.redhat.com/harald/redhat-config-network/1.1.87-1/
ftp://people.redhat.com/harald/rhpl/0.74-2/

Comment 6 Harald Hoyer 2004-06-04 09:44:42 UTC
Closing due to inactivity. Reopen, if the problem is still existing.


Note You need to log in before you can comment on or make changes to this bug.